Skip to content

Funds Account Information Query

  • Endpoint: POST /aggregate-pay/api/gateway/fundsAccountQuery
  • Tags: Fund Account(New)

Description

Query details of funds accounts under a member. Supports both querying specific accounts and querying all accounts under the member.

Parameters

FieldInTypeRequiredConstraintsDescription
Content-TypeheaderstringYes
signheaderstringYes签名信息请参考技术文档

Parameter Examples

  • Content-Type: "application/json"
  • sign: "FPFVT3o227JrFRbqu19boZCpVVTF9KznxyRawUmxpfXilHV/0yK46haPhAjNu1hPUMy7Vw/ILXhfzffNm4Fj0apWknlTY9OJxnSoQxS9BTFtc61tn5yV1q69x/kkBl82/qwg+XTJ4fOzy7Mar3VaC1E2PlDA6RkkKBUyNE6RYgsdB+Su7an4+4HVTNAnoe74WyvBgxTLMNg28igBTdqxaO3w/UBY6ObVp7vkqkQGdL1Y+HgmMYaAVwrM3+ALWGId0sJ+YqTY4WJ+0xCRGhaSnybiIjZsQEYyID68WNUfuavDLDsEhaMm/HfQvf5p0R1Ltovp3wwJnEbQcjY458iX5A=="

Request Body

Required

Content-Type: application/json

FieldTypeRequiredConstraintsDescriptionEnum
versionstringYesCurrent value:1.5
keyVersionstringYesCurrent value: 1
requestTimestringYes
appIdstringYesThe unique identifier assigned to the merchant app by PayerMax
memberIdstringYesthe unique identifier generated when the merchant signs the contract with PayerMax
dataobjectYes
data.fundsAccountNoListarray[string]NoWhen no fundsAccountNo is specified, all fundsAccountNos will return.

Example

json
{
  "version": "1.5",
  "keyVersion": "1",
  "requestTime": "2025-12-03T12:23:13.712+00:00",
  "appId": "798b79c2e33a4d8e866410bf401551a7",
  "memberId": "20250619P01B00000075000002",
  "data": {
    "fundsAccountNoList": [
      "P25071126042"
    ]
  }
}

Responses

200

FieldTypeRequiredConstraintsDescriptionEnum
msgstringYes‘Success.’
codestringYes‘APPLY_SUCCESS’ means success
dataobjectYes
data.fundsAccountInfoListarray[object]Yes
data.fundsAccountInfoList[].accountNostringNoFunds account number
data.fundsAccountInfoList[].accountNamestringNocustomer registered English name
data.fundsAccountInfoList[].accountAliasstringNoFunds account alias
data.fundsAccountInfoList[].currencyListarray[string]NoList of enabled currencies under the funds account
data.fundsAccountInfoList[].accountStatusstringNo1=available/0=unavailable
data.fundsAccountInfoList[].accountOpenTimestringNoFormat: yyyy-MM-dd'T'HH:mm:ss.SSSXXX

Response Example

json
{
  "msg": "",
  "code": "APPLY_SUCCESS",
  "data": {
    "fundsAccountInfoList": [
      {
        "accountAlias": "代发专用户",
        "accountStatus": "1",
        "accountOpenTime": "2025-07-11T08:12:10.409Z",
        "accountName": "XXX  LIMITED",
        "accountNo": "P25071126042",
        "currencyList": [
          "USD",
          "HKD"
        ]
      }
    ]
  }
}

Was this page helpful?

Thank you for your help in improving PayerMax Product Docs!

Released under the MIT License.